> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/third-party-accounts/{accountId}/create-seller-account

> Create a private market demand seller account under a given parent account.



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/third-party-accounts/{accountId}/create-seller-account
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/third-party-accounts/{accountId}/create-seller-account:
    post:
      tags:
        - ThirdPartyAccounts
      summary: >-
        /preview/retail-media/third-party-accounts/{accountId}/create-seller-account
      description: >-
        Create a private market demand seller account under a given parent
        account.
      operationId: CreateThirdPartySellerAccount
      parameters:
        - name: accountId
          in: path
          description: parent supply account to create account under
          required: true
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ValueResourceInputOfRetailMediaSellerAccountCreationV2
      responses:
        '201':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EntityResourceOutcomeOfRetailMediaAccountV2
      security:
        - oauth:
            - RetailMedia_ThirdPartyAccounts_Manage
components:
  schemas:
    ValueResourceInputOfRetailMediaSellerAccountCreationV2:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ValueResourceOfRetailMediaSellerAccountCreationV2
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    EntityResourceOutcomeOfRetailMediaAccountV2:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/EntityResourceOfRetailMediaAccountV2'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        entity.
    ValueResourceOfRetailMediaSellerAccountCreationV2:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ExternalRetailMediaSellerAccountCreationV2'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    EntityResourceOfRetailMediaAccountV2:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ExternalRetailMediaAccountV2'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
      nullable: true
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    ExternalRetailMediaSellerAccountCreationV2:
      required:
        - sellers
      type: object
      properties:
        name:
          type: string
          description: the name of the account, must be unique across all accounts
          nullable: true
        onBehalfCompanyName:
          type: string
          description: On behalf entity name of ads for the Digital Services Act
          nullable: true
        payingCompanyName:
          type: string
          description: >-
            Display name for reporting the owning entity of ads for the Digital
            Services Act in the European Union
          nullable: true
        sellers:
          type: array
          items:
            $ref: '#/components/schemas/ExternalRetailMediaSeller'
          description: list of sellers to associate to the new account
      additionalProperties: false
      description: >-
        the initial set up and configuration options for a new private market
        demand brand account
    ExternalRetailMediaAccountV2:
      type: object
      properties:
        countryIds:
          type: array
          items:
            type: string
          description: list of countries associated with the account
          nullable: true
        currencyId:
          type: string
          description: the currency for the account
          nullable: true
        name:
          type: string
          description: account name
          nullable: true
        onBehalfCompanyName:
          type: string
          description: On behalf entity name of ads for the Digital Services Act
          nullable: true
        parentAccountLabel:
          type: string
          description: parent account label for the account
          nullable: true
        payingCompanyName:
          type: string
          description: Paying entity name of ads for the Digital Services Act
          nullable: true
        subType:
          enum:
            - unknown
            - brand
            - seller
          type: string
          description: subtype for the account
          nullable: true
        timeZone:
          type: string
          description: the timezone for the account
          nullable: true
        type:
          enum:
            - unknown
            - supply
            - demand
          type: string
          description: Type for the account
          nullable: true
      additionalProperties: false
      description: The details for a newly created account
      nullable: true
    ExternalRetailMediaSeller:
      required:
        - retailerId
        - sellerId
      type: object
      properties:
        retailerId:
          type: integer
          description: the retailer id
          format: int32
        sellerId:
          type: string
          description: the seller id
      additionalProperties: false
      description: used to define the exact seller linked with an account
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````